Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452868 - freecon: if con is NULL
Summary: freecon: if con is NULL
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libselinux
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 14:39 UTC by Karel Zak
Modified: 2008-09-17 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-17 16:58:50 UTC


Attachments (Terms of Use)
man page update (deleted)
2008-06-25 14:39 UTC, Karel Zak
no flags Details | Diff

Description Karel Zak 2008-06-25 14:39:38 UTC
Description of problem:

Please, update the freecon.8 man page. It seems that freecon() is a simple
wrapper around a classic free() function. It means freecon() and freeconary()
are ready for NULL pointers and people needn't to use "if-before-free" tests.

Comment 1 Karel Zak 2008-06-25 14:39:38 UTC
Created attachment 310271 [details]
man page update

Comment 2 Daniel Walsh 2008-06-29 12:31:28 UTC
Fixed in libselinux-2.0.67-2



Note You need to log in before you can comment on or make changes to this bug.